[Elven Scout Class Transfer]:
An Elven Scout who reaches level 40 can proceed with the 2nd class transfer to become a Plainswalker or a Silver Ranger. In order to accomplish the 2nd class transfer, The character must successfully complete three quests. The first quest can only be undertaken by a character of level 35 or above. If you would like to view more detailed information, please click the class you are interested in.
Plainswalker
Silver Ranger
Return
Close Window